import React, { useMemo } from 'react';
import { Tooltip, Tabs } from 'antd';
import Filedetail from "@/components/Filedetail";
import DetailPro from '@/components/DetailPro';
import AutoTable from '@/components/AutoTable/mtable';
const statusColors = {
    1: '#7ac143',
    2: 'orange',
    3: '#6a737b',
    4: '#fa4659'
};
const columns = [
    {
        title: '设备编号',
        dataIndex: 'equipmentNo',
        key: 'equipmentNo'
    },
    {
        title: '设备名称',
        dataIndex: 'equipmentName',
        key: 'equipmentName',
    },
    {
        title: '设备类型',
        dataIndex: 'equipmentTypeName',
        key: 'equipmentType',
        hideInSearch: true,
        // valueType: 'select',
        // options: [
        //     { label: '设备', value: 1 },
        //     { label: '智能单元', value: 2 },
        // ]
    },
    {
        title: '设备型号',
        dataIndex: 'equipmentModelName',
        key: 'equipmentModelName',
    },
    {
        title: '开始租赁时间',
        dataIndex: 'startLeaseDate',
        key: 'startLeaseDateList',
        valueType: 'dateRange'
    },
    {
        title: '结束租赁时间',
        dataIndex: 'endLeaseDate',
        key: 'endLeaseDateList',
        valueType: 'dateRange'
    },
    {
        title: '实际结束时间',
        dataIndex: 'realEndDate',
        key: 'realEndDateList',
        valueType: 'dateRange'
    },
    {
        title: '采集状态',
        dataIndex: 'collectStatusName',
        key: 'collectStatus',
        valueType: 'select',
        options: [
            { label: '工作', value: 1 },
            { label: '待机', value: 2 },
            { label: '关机', value: 3 },
            { label: '报警', value: 4 }
        ],
        render: (_, row) => {
            return <span style={{ color: statusColors[row.collectStatus] }}>{row.collectStatusName}</span>
        }
    },
];
const Devices = ({ drawer }) => {
    return <div>
        <AutoTable
            columns={columns}
            path={'/lease/umContractEquipment/queryByContractId'}
            resizeable={false}
            pageextra="none"
            bordered={false}
            extraparams={{ contractId: drawer?.item?.id }}
            pagination={'false'}
        />
    </div>
}
export default Devices;