import { Tooltip } from "antd";
import Filedetail from "@/components/Filedetail";
function getcolumns(setdrawer) {
    return {
        columns: [
            {
                title: '客户编号',
                dataIndex: 'customerNo',
                key: 'customerNo',
                colProps: { span: 8 },
            },
            {
                title: '客户名称',
                dataIndex: 'customerName',
                key: 'customerName',
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                colProps: { span: 8 },
                render: (_, row) => {
                    return (
                        <Tooltip title={row.customerName}>
                            <a
                                className="table-cell"
                                onClick={() => {
                                    setdrawer((s) => ({
                                        ...s,
                                        open: true,
                                        item: row,
                                        val: 'detailaddon',
                                        title: '客户信息'
                                    }));
                                }}
                            >
                                {row.customerName}
                            </a>
                        </Tooltip>
                    );
                },
            },
            {
                title: '负责工厂',
                dataIndex: 'factoryName',
                key: 'factoryId',
                valueType: 'select',
                options: { path: '/lease/umLeaseCustomer/getAllFactorySelection', params: {} },
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                colProps: { span: 8 },
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
            },
            { title: '企业法人', dataIndex: 'enterpriseLegalPerson', key: 'enterpriseLegalPerson', colProps: { span: 8 }, hideInSearch: true },
            { title: '联系电话', dataIndex: 'phone', key: 'phone', colProps: { span: 8 }, hideInSearch: true },
            {
                title: '产值',
                dataIndex: 'outputValue',
                key: 'outputValue',
                colProps: { span: 8 },
                hideInTable: true,
                hideInSearch: true
            },
            {
                title: '所属行业',
                dataIndex: 'industry',
                key: 'industry',
                colProps: { span: 8 },
                hideInTable: true,
                hideInSearch: true,
            },
            {
                title: '地址',
                dataIndex: 'address',
                key: 'address',
                colProps: { span: 8 },
                hideInTable: true,
                hideInSearch: true,
            },
            {
                title: '纳税人识别号',
                dataIndex: 'taxpayerIdentificationNumber',
                key: 'taxpayerIdentificationNumber',
                colProps: { span: 8 },
                hideInSearch: true,
            },
            {
                title: '开户行银行',
                dataIndex: 'openingBank',
                key: 'openingBank',
                colProps: { span: 8 },
                hideInSearch: true,
            },
            {
                title: '收款账户',
                dataIndex: 'collectionAccount',
                key: 'collectionAccount',
                colProps: { span: 8 },
                hideInSearch: true,
            },
            {
                title: '所属区域',
                dataIndex: 'regionName',
                key: 'regionIdList',
                colProps: { span: 8 },
                valueType: 'select',
                fieldProps: {
                    mode: 'multiple'
                },
                options: { path: '/lease/umLeaseCustomer/getAllShopSelection', params: {} },
                hideInSearch: true,
            },
            {
                title: '企业简介',
                dataIndex: 'enterpriseIntroduction',
                key: 'enterpriseIntroduction',
                hideInSearch: true,
                hideInTable: true,
                valueType: 'textarea',
                colProps: { span: 24 },
                span: 3
            },
            {
                title: '附件上传（最多5个）',
                dataIndex: 'picList',
                key: 'picList',
                hideInSearch: true,
                hideInTable: true,
                valueType: 'uploadBtn',
                colProps: { span: 24 },
                span: 3,
                fieldProps: {
                    limit: 5,
                },
                render: (_, row) => {
                    return <Filedetail files={row?.['picList']} />
                }
            },
        ],
        pathconfig: {
            add: '/lease/umLeaseCustomer/save',
            edit: '/lease/umLeaseCustomer/save',
            list: '/lease/umLeaseCustomer/queryList',
            delete: '/lease/umLeaseCustomer/deleteById',
            detail: '/lease/umLeaseCustomer/queryById'
        },
    };
}
export default getcolumns;
