import React, { useMemo } from 'react';
import DetailPro from '@/components/DetailPro';
import getcolumns from './columns';
import { doFetch } from '@/utils/doFetch';
import { useRequest } from 'ahooks';
const Basemsg = ({ drawer, activeKey, setdrawer }) => {
    const columns = useMemo(() => {
        let defcolumn = getcolumns(setdrawer, activeKey)?.columns ?? [];
        return defcolumn;
    }, [activeKey]);

    const detailData = useRequest(async () => {
        let res = await doFetch({ url: '/lease/umLeaseLedger/detail', params: { id: drawer?.item?.id } });
        return res?.data?.data ?? {};
    }, {
        refreshDeps: [drawer?.item?.id]
    });
    return <DetailPro
        fields={columns}
        detailData={detailData?.data ?? {}}
        params={{ id: drawer?.item?.id }}
    />
}
export default Basemsg;