import React, { useMemo } from 'react';
import DetailPro from '@/components/DetailPro';
import AutoTable from '@/components/AutoTable/mtable';
import { Tooltip } from "antd";
const Operatinghistory = ({ setdrawer, drawer }) => {
    const columns = useMemo(() => {
        return [
            {
                title: '操作时间',
                dataIndex: 'operateTime',
                key: 'operateTimeList',
                valueType: 'dateRange',
            },
            {
                title: '操作人',
                dataIndex: 'operateUserName',
                key: 'operateUserName'
            },
            {
                title: '操作类型',
                dataIndex: 'operateTypeName',
                key: 'operateType',
                valueType: 'select',
                options: drawer.item.equipmentType == 1 ? [
                    { label: '新增', value: '0' },
                    { label: '绑定', value: '3' },
                    { label: '报废', value: '4' },
                    { label: '转闲置', value: '5' },
                ] : [
                    { label: '新增', value: '0' },
                    { label: '报废', value: '4' },
                    { label: '解绑', value: '6' }
                ]
            },
        ];
    }, [drawer.item]);
    return (
        <AutoTable
            columns={columns}
            path={'/lease/umLeaseLedgerOperate/queryList'}
            resizeable={false}
            pageextra="none"
            bordered={false}
            extraparams={{ leaseLedgerId: drawer?.item?.id }}
        />
    );
};
export default Operatinghistory;
