import { Tooltip, Image } from 'antd';
import Filedetail from "@/components/Filedetail";
function getcolumns(setdrawer) {
    return {
        columns: [
            {
                title: '设备信息',
                valueType: 'split'
            },
            {
                title: '设备编号',
                dataIndex: 'equipmentNo',
                key: 'equipmentNo',
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                colProps: { span: 8 },
                render: (_, row) => {
                    return (
                        <Tooltip title={row.equipmentNo}>
                            <a
                                className="table-cell"
                                onClick={() => {
                                    setdrawer && setdrawer((s) => ({
                                        ...s,
                                        open: true,
                                        item: row,
                                        val: 'only',
                                        title: '设备详情',
                                        type: ''
                                    }));
                                }}
                            >
                                {row.equipmentNo}
                            </a>
                        </Tooltip>
                    );
                }
            },
            {
                title: '设备名称',
                dataIndex: 'equipmentName',
                key: 'equipmentName',
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                colProps: { span: 8 }
            },
            {
                title: '资产编号',
                dataIndex: 'assetNumber',
                key: 'assetNumber',
                colProps: { span: 8 }
            },
            {
                title: '关联设备',
                dataIndex: 'ledgerEquipmentNo',
                key: 'ledgerEquipmentNo',
                hideInForm: true,
                colProps: { span: 8 }
            },
            {
                title: '设备品牌',
                dataIndex: 'brand',
                key: 'brand',
                colProps: { span: 8 }
            },
            {
                title: '设备型号',
                dataIndex: 'equipmentModelName',
                key: 'equipmentModelId',
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                valueType: 'select',
                options: { path: '/asset/equipmentModel/query/selection', params: {} },
                colProps: { span: 8 },
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
            },
            {
                title: '设备类型',
                dataIndex: 'equipmentTypeName',
                key: 'equipmentType',
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                hideInSearch: false,
                valueType: 'select',
                options: [
                    { label: '设备', value: 1 },
                    { label: '智能单元', value: 2 },
                ],
                colProps: { span: 8 }
            },
            {
                title: '经营状态',
                dataIndex: 'statusName',
                key: 'status',
                hideInForm: true,
                valueType: 'select',
                options: [
                    { label: '报废', value: '0' },
                    { label: '预占', value: '1' },
                    { label: '租赁', value: '2' },
                    { label: '销售', value: '3' },
                    { label: '闲置', value: '4' },
                    { label: '待复检', value: '5' },
                    { label: '未绑定', value: '6' },
                    { label: '绑定', value: '7' },
                    { label: '待确认', value: '8' }
                ],
                fixed: 'left',
                width: 80
            },
            {
                title: '所属信息',
                valueType: 'split'
            },
            {
                title: '公司名称',
                dataIndex: 'companyName',
                key: 'organizationId',
                hideInSearch: true,
                hideInTable: true,
                valueType: 'select',
                options: { path: '/auth/sysDepartment/query/organization/selectbox', params: {} },
                colProps: { span: 8 }
            },
            {
                title: '部门名称',
                dataIndex: 'departmentName',
                key: 'departmentId',
                formItemProps: { rules: [{ required: false, message: '此项为必填项' }] },
                hideInSearch: true,
                hideInTable: true,
                valueType: 'treeSelect',
                options: { path: '/auth/sysDepartment/query/children/tree', linkParams: { organizationId: 'parentId' } },
                colProps: { span: 8 }
            },
            {
                title: '工厂名称',
                dataIndex: 'factoryName',
                key: 'factoryId',
                valueType: 'select',
                hideInSearch: true,
                hideInTable: true,
                hideInDescriptions: true,
                colProps: { span: 8 },
                options: { path: '/auth/sysFactory/getFactorySelectBox', params: {} },
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                fieldProps: {
                    disabled: true
                },
            },
            {
                title: '工厂名称',
                dataIndex: 'factoryName',
                key: 'factoryId',
                valueType: 'select',
                options: { path: '/auth/sysFactory/getFactorySelectBox', params: {} },
                hideInForm: true,
                colProps: { span: 8 },
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
            },
            {
                title: '车间名称',
                dataIndex: 'shopName',
                key: 'shopId',
                hideInSearch: true,
                hideInTable: true,
                hideInDescriptions:true,
                valueType: 'select',
                options: { path: '/auth/sysShop/getShopSelectBox', linkParams: { factoryId: '' } },
                colProps: { span: 8 },
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
            },
            {
                title: '车间名称',
                dataIndex: 'shopName',
                key: 'shopId',
                hideInForm: true,
                valueType: 'select',
                options: { path: '/auth/sysShop/getShopSelectBox',params:{} },
                colProps: { span: 8 },
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
            },
            {
                title: '工段名称',
                dataIndex: 'sectionName',
                key: 'sectionId',
                hideInSearch: true,
                hideInTable: true,
                valueType: 'select',
                options: {
                    path: '/auth/sysSection/getSectionSelectBox',
                    linkParams: { shopId: '' },
                },
                colProps: { span: 8 }
            },
            {
                title: '产线名称',
                dataIndex: 'productionLineName',
                key: 'productionLineId',
                valueType: 'select',
                hideInSearch: true,
                hideInTable: true,
                options: {
                    path: '/auth/sysProductionLine/getProductLineSelectBox',
                    linkParams: { shopId: '' },
                },
                colProps: { span: 8 }
            },
            {
                title: '关联客户',
                dataIndex: 'ledgerCustomer',
                key: 'ledgerCustomer',
                hideInSearch: false,
                hideInTable: false,
                hideInForm: true,
                valueType: 'select',
                options: { path: '/lease/umLeaseCustomer/getSelection', params: {} },
                colProps: { span: 8 },
                span: 3,
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
            },
            {
                title: '其他信息',
                valueType: 'split'
            },
            {
                title: '供应商',
                dataIndex: 'supplierName',
                key: 'supplierId',
                valueType: 'select',
                options: { path: '/lease/umEquipmentSupplier/getSelection', params: {} },
                colProps: { span: 8 },
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
                span: 1
            },
            {
                title: '保管单位',
                dataIndex: 'custodyUnit',
                key: 'custodyUnit',
                colProps: { span: 8 }
            },
            {
                title: '产权单位',
                dataIndex: 'propertyUnit',
                key: 'propertyUnit',
                colProps: { span: 8 }
            },
            {
                title: '制造商',
                dataIndex: 'manufacturer',
                key: 'manufacturer',
                colProps: { span: 8 }
            },
            {
                title: '采购合同编号',
                dataIndex: 'procurementContractNo',
                key: 'procurementContractNo',
                colProps: { span: 8 }
            },
            {
                title: '上传图片',
                dataIndex: 'picList',
                key: 'picList',
                hideInSearch: true,
                hideInTable: true,
                hideInDescriptions: true,
                valueType: 'uploadImage',
                fieldProps: {
                    limit: 1,
                },
                colProps: { span: 24 }
            },
            {
                title: '图片',
                dataIndex: 'imageUrl',
                key: 'imageUrl',
                hideInSearch: true,
                hideInForm: true,
                render: (_, row) => {
                    return row?.imageUrl ? <Image style={{ width: 40, height: 40, objectFit: 'contain', objectPosition: 'center' }} src={row?.imageUrl} /> : '-'
                }
            },
            {
                title: '二维码',
                dataIndex: 'qrCodeUrl',
                key: 'qrCodeUrl',
                hideInSearch: true,
                hideInForm: true,
                render: (_, row) => {
                    return row?.qrCodeUrl ? <Image style={{ width: 40, height: 40, objectFit: 'contain', objectPosition: 'center' }} src={row?.qrCodeUrl} /> : '-'
                },
                span: 3
            },
            {
                title: '基本配置',
                dataIndex: 'baseFileList',
                key: 'baseFileList',
                hideInSearch: true,
                hideInTable: true,
                valueType: 'uploadBtn',
                fieldProps: {
                    limit: 5,
                },
                render: (_, row) => {
                    return <Filedetail files={row?.['baseFileList']} />
                },
                span: 3,
                colProps: { span: 24 }
            },
        ],
        pathconfig: {
            add: '/lease/umLeaseLedger/save',
            edit: '/lease/umLeaseLedger/save',
            list: '/lease/umLeaseLedger/queryList',
            delete: '/lease/umLeaseLedger/deleteById',
            detail: '/lease/umLeaseLedger/detail'
        },
    };
}
export default getcolumns;
